package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * WebService日志
 * </p>
 *
 * @author Ervin Chen
 * @since 2021-01-21
 */

@TableName("Z_WEB_SERVICE_LOG")

public class WebServiceLog extends Model<WebServiceLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 类型
     */
   @TableField("CLAZZ")
   private String clazz;
    /**
     * 方法名
     */
   @TableField("METHOD")
   private String method;
    /**
     * 参数名称1
     */
   @TableField("PARAM_NAME_1")
   private String paramName1;
    /**
     * 参数值1
     */
   @TableField("PARAM_VALUE_1")
   private String paramValue1;
    /**
     * 参数名称2
     */
   @TableField("PARAM_NAME_2")
   private String paramName2;
    /**
     * 参数值2
     */
   @TableField("PARAM_VALUE_2")
   private String paramValue2;
    /**
     * 参数名称3
     */
   @TableField("PARAM_NAME_3")
   private String paramName3;
    /**
     * 参数值3
     */
   @TableField("PARAM_VALUE_3")
   private String paramValue3;
    /**
     * 参数名称4
     */
   @TableField("PARAM_NAME_4")
   private String paramName4;
    /**
     * 参数值4
     */
   @TableField("PARAM_VALUE_4")
   private String paramValue4;
    /**
     * 参数名称5
     */
   @TableField("PARAM_NAME_5")
   private String paramName5;
    /**
     * 参数值5
     */
   @TableField("PARAM_VALUE_5")
   private String paramValue5;
    /**
     * 参数名称6
     */
   @TableField("PARAM_NAME_6")
   private String paramName6;
    /**
     * 参数值6
     */
   @TableField("PARAM_VALUE_6")
   private String paramValue6;
    /**
     * 参数名称7
     */
   @TableField("PARAM_NAME_7")
   private String paramName7;
    /**
     * 参数值7
     */
   @TableField("PARAM_VALUE_7")
   private String paramValue7;
    /**
     * 参数名称8
     */
   @TableField("PARAM_NAME_8")
   private String paramName8;
    /**
     * 参数值8
     */
   @TableField("PARAM_VALUE_8")
   private String paramValue8;
    /**
     * 参数名称9
     */
   @TableField("PARAM_NAME_9")
   private String paramName9;
    /**
     * 参数值9
     */
   @TableField("PARAM_VALUE_9")
   private String paramValue9;
    /**
     * 参数名称10
     */
   @TableField("PARAM_NAME_10")
   private String paramName10;
    /**
     * 参数值10
     */
   @TableField("PARAM_VALUE_10")
   private String paramValue10;
    /**
     * 参数名称11
     */
   @TableField("PARAM_NAME_11")
   private String paramName11;
    /**
     * 参数值11
     */
   @TableField("PARAM_VALUE_11")
   private String paramValue11;
    /**
     * 参数名称12
     */
   @TableField("PARAM_NAME_12")
   private String paramName12;
    /**
     * 参数值12
     */
   @TableField("PARAM_VALUE_12")
   private String paramValue12;
    /**
     * 返回结果
     */
   @TableField("RESULT")
   private String result;
    /**
     * 创建日期
     */
   @TableField("START_DATE_TIME")
   private LocalDateTime startDateTime;
    /**
     * 结束时间
     */
   @TableField("END_DATE_TIME")
   private LocalDateTime endDateTime;
    /**
     * 运行时间
     */
   @TableField("RUN_TIME")
   private Long runTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getClazz() {
      return clazz;
   }

   public void setClazz(String clazz) {
      this.clazz = clazz;
   }

   public String getMethod() {
      return method;
   }

   public void setMethod(String method) {
      this.method = method;
   }

   public String getParamName1() {
      return paramName1;
   }

   public void setParamName1(String paramName1) {
      this.paramName1 = paramName1;
   }

   public String getParamValue1() {
      return paramValue1;
   }

   public void setParamValue1(String paramValue1) {
      this.paramValue1 = paramValue1;
   }

   public String getParamName2() {
      return paramName2;
   }

   public void setParamName2(String paramName2) {
      this.paramName2 = paramName2;
   }

   public String getParamValue2() {
      return paramValue2;
   }

   public void setParamValue2(String paramValue2) {
      this.paramValue2 = paramValue2;
   }

   public String getParamName3() {
      return paramName3;
   }

   public void setParamName3(String paramName3) {
      this.paramName3 = paramName3;
   }

   public String getParamValue3() {
      return paramValue3;
   }

   public void setParamValue3(String paramValue3) {
      this.paramValue3 = paramValue3;
   }

   public String getParamName4() {
      return paramName4;
   }

   public void setParamName4(String paramName4) {
      this.paramName4 = paramName4;
   }

   public String getParamValue4() {
      return paramValue4;
   }

   public void setParamValue4(String paramValue4) {
      this.paramValue4 = paramValue4;
   }

   public String getParamName5() {
      return paramName5;
   }

   public void setParamName5(String paramName5) {
      this.paramName5 = paramName5;
   }

   public String getParamValue5() {
      return paramValue5;
   }

   public void setParamValue5(String paramValue5) {
      this.paramValue5 = paramValue5;
   }

   public String getParamName6() {
      return paramName6;
   }

   public void setParamName6(String paramName6) {
      this.paramName6 = paramName6;
   }

   public String getParamValue6() {
      return paramValue6;
   }

   public void setParamValue6(String paramValue6) {
      this.paramValue6 = paramValue6;
   }

   public String getParamName7() {
      return paramName7;
   }

   public void setParamName7(String paramName7) {
      this.paramName7 = paramName7;
   }

   public String getParamValue7() {
      return paramValue7;
   }

   public void setParamValue7(String paramValue7) {
      this.paramValue7 = paramValue7;
   }

   public String getParamName8() {
      return paramName8;
   }

   public void setParamName8(String paramName8) {
      this.paramName8 = paramName8;
   }

   public String getParamValue8() {
      return paramValue8;
   }

   public void setParamValue8(String paramValue8) {
      this.paramValue8 = paramValue8;
   }

   public String getParamName9() {
      return paramName9;
   }

   public void setParamName9(String paramName9) {
      this.paramName9 = paramName9;
   }

   public String getParamValue9() {
      return paramValue9;
   }

   public void setParamValue9(String paramValue9) {
      this.paramValue9 = paramValue9;
   }

   public String getParamName10() {
      return paramName10;
   }

   public void setParamName10(String paramName10) {
      this.paramName10 = paramName10;
   }

   public String getParamValue10() {
      return paramValue10;
   }

   public void setParamValue10(String paramValue10) {
      this.paramValue10 = paramValue10;
   }

   public String getParamName11() {
      return paramName11;
   }

   public void setParamName11(String paramName11) {
      this.paramName11 = paramName11;
   }

   public String getParamValue11() {
      return paramValue11;
   }

   public void setParamValue11(String paramValue11) {
      this.paramValue11 = paramValue11;
   }

   public String getParamName12() {
      return paramName12;
   }

   public void setParamName12(String paramName12) {
      this.paramName12 = paramName12;
   }

   public String getParamValue12() {
      return paramValue12;
   }

   public void setParamValue12(String paramValue12) {
      this.paramValue12 = paramValue12;
   }

   public String getResult() {
      return result;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public LocalDateTime getStartDateTime() {
      return startDateTime;
   }

   public void setStartDateTime(LocalDateTime startDateTime) {
      this.startDateTime = startDateTime;
   }

   public LocalDateTime getEndDateTime() {
      return endDateTime;
   }

   public void setEndDateTime(LocalDateTime endDateTime) {
      this.endDateTime = endDateTime;
   }

   public Long getRunTime() {
      return runTime;
   }

   public void setRunTime(Long runTime) {
      this.runTime = runTime;
   }

public static final String HANDLE = "HANDLE";

public static final String CLAZZ = "CLAZZ";

public static final String METHOD = "METHOD";

public static final String PARAM_NAME_1 = "PARAM_NAME_1";

public static final String PARAM_VALUE_1 = "PARAM_VALUE_1";

public static final String PARAM_NAME_2 = "PARAM_NAME_2";

public static final String PARAM_VALUE_2 = "PARAM_VALUE_2";

public static final String PARAM_NAME_3 = "PARAM_NAME_3";

public static final String PARAM_VALUE_3 = "PARAM_VALUE_3";

public static final String PARAM_NAME_4 = "PARAM_NAME_4";

public static final String PARAM_VALUE_4 = "PARAM_VALUE_4";

public static final String PARAM_NAME_5 = "PARAM_NAME_5";

public static final String PARAM_VALUE_5 = "PARAM_VALUE_5";

public static final String PARAM_NAME_6 = "PARAM_NAME_6";

public static final String PARAM_VALUE_6 = "PARAM_VALUE_6";

public static final String PARAM_NAME_7 = "PARAM_NAME_7";

public static final String PARAM_VALUE_7 = "PARAM_VALUE_7";

public static final String PARAM_NAME_8 = "PARAM_NAME_8";

public static final String PARAM_VALUE_8 = "PARAM_VALUE_8";

public static final String PARAM_NAME_9 = "PARAM_NAME_9";

public static final String PARAM_VALUE_9 = "PARAM_VALUE_9";

public static final String PARAM_NAME_10 = "PARAM_NAME_10";

public static final String PARAM_VALUE_10 = "PARAM_VALUE_10";

public static final String PARAM_NAME_11 = "PARAM_NAME_11";

public static final String PARAM_VALUE_11 = "PARAM_VALUE_11";

public static final String PARAM_NAME_12 = "PARAM_NAME_12";

public static final String PARAM_VALUE_12 = "PARAM_VALUE_12";

public static final String RESULT = "RESULT";

public static final String START_DATE_TIME = "START_DATE_TIME";

public static final String END_DATE_TIME = "END_DATE_TIME";

public static final String RUN_TIME = "RUN_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "WebServiceLog{" +
         "handle = " + handle +
         ", clazz = " + clazz +
         ", method = " + method +
         ", paramName1 = " + paramName1 +
         ", paramValue1 = " + paramValue1 +
         ", paramName2 = " + paramName2 +
         ", paramValue2 = " + paramValue2 +
         ", paramName3 = " + paramName3 +
         ", paramValue3 = " + paramValue3 +
         ", paramName4 = " + paramName4 +
         ", paramValue4 = " + paramValue4 +
         ", paramName5 = " + paramName5 +
         ", paramValue5 = " + paramValue5 +
         ", paramName6 = " + paramName6 +
         ", paramValue6 = " + paramValue6 +
         ", paramName7 = " + paramName7 +
         ", paramValue7 = " + paramValue7 +
         ", paramName8 = " + paramName8 +
         ", paramValue8 = " + paramValue8 +
         ", paramName9 = " + paramName9 +
         ", paramValue9 = " + paramValue9 +
         ", paramName10 = " + paramName10 +
         ", paramValue10 = " + paramValue10 +
         ", paramName11 = " + paramName11 +
         ", paramValue11 = " + paramValue11 +
         ", paramName12 = " + paramName12 +
         ", paramValue12 = " + paramValue12 +
         ", result = " + result +
         ", startDateTime = " + startDateTime +
         ", endDateTime = " + endDateTime +
         ", runTime = " + runTime +
         "}";
   }
}